Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 970505 - firewall-cmd --direct --passthrough ipv4, iptable error
firewall-cmd --direct --passthrough ipv4, iptable error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 04:01 EDT by Petr Sklenar
Modified: 2013-08-03 20:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.3.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-03 20:08:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-06-04 04:01:20 EDT
Description of problem:
There is error instead of help message

Version-Release number of selected component (if applicable):
firewalld-0.3.2-1.fc19.noarch

How reproducible:
always

Steps to Reproduce:
#  firewall-cmd --direct --passthrough a
Error: COMMAND_FAILED: INVALID_IPV: a

#  firewall-cmd --direct --passthrough ipv4
Error: COMMAND_FAILED: '/sbin/iptables ' failed: iptables v1.4.18: no command specified
Try `iptables -h' or 'iptables --help' for more information.

Actual results:
there is error from iptables


Expected results:
add help what to specify like an arg

Additional info:
Comment 2 Fedora Update System 2013-07-30 15:12:46 EDT
firewalld-0.3.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firewalld-0.3.4-1.fc19
Comment 3 Fedora Update System 2013-08-01 23:48:02 EDT
Package firewalld-0.3.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14046/firewalld-0.3.4-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-03 20:08:33 EDT
firewalld-0.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.